$(document).ready(function(e) {
	/*----------------------------------------*/
	//check or uncheck all
	// Listen for click on toggle checkbox
	$('#checkAll').click(function(event) {  
		if(this.checked) {
			// Iterate each checkbox
			$('.choosenItem').each(function() {
				
				this.checked = true;                        
			});
		}
		else { 
			// Iterate each checkbox 
			$(".choosenItem").each(function() {
				this.checked = false;  
			}); 
		}
	});
	
	//product
	$('#checked1').click(function(event) {  
		if(this.checked) {
			// Iterate each checkbox
			$('.productItem').each(function() {
				this.checked = true;  
				this.disabled = true;
				//$("#checked2").attr("disabled","disabled");
			});
		}
		else { 
			// Iterate each checkbox 
			$(".productItem").each(function() {
				 this.checked = false;   
				 this.disabled = false;
			}); 
		}
	});
	
	//asset
	$('#checked6').click(function(event) {  
		if(this.checked) {
				//alert(1);
			// Iterate each checkbox
			$('.assetItem').each(function() {
			
				this.checked = true;                        
			});
		}
		else { 
		//alert(2);
			// Iterate each checkbox 
			$(".assetItem").each(function() {
				 this.checked = false;  
			}); 
		}
	});
	
	
	
	//check
	$('#checked9').click(function(event) {  
		if(this.checked) {
			// Iterate each checkbox
			$('.checkItem').each(function() {
				this.checked = true;                        
			});
		}
		else { 
			// Iterate each checkbox 
			$(".checkItem").each(function() {
				 this.checked = false;  
			}); 
		}
	});
	
	//شركات الشحن
	$('#checked14').click(function(event) {  
		if(this.checked) {
			// Iterate each checkbox
			$('.shippingItem').each(function() {
				this.checked = true;                        
			});
		}
		else { 
			// Iterate each checkbox 
			$(".shippingItem").each(function() {
				 this.checked = false;  
			}); 
		}
	});
	
	//كمبيالة
	$('#checked18').click(function(event) {  
		if(this.checked) {
			// Iterate each checkbox
			$('.kempialaItem').each(function() {
				this.checked = true;                        
			});
		}
		else { 
			// Iterate each checkbox 
			$(".kempialaItem").each(function() {
				 this.checked = false;  
			}); 
		}
	});
	
	//expense
	$('#checked23').click(function(event) {  
		if(this.checked) {
			// Iterate each checkbox
			$('.expenseItem').each(function() {
				this.checked = true;                        
			});
		}
		else { 
			// Iterate each checkbox 
			$(".expenseItem").each(function() {
				 this.checked = false;  
			}); 
		}
	});
	
	//تقرير العملاء
	$('#checked27').click(function(event) {  
		if(this.checked) {
			// Iterate each checkbox
			$('.clientReportItem').each(function() {
				this.checked = true;                        
			});
		}
		else { 
			// Iterate each checkbox 
			$(".clientReportItem").each(function() {
				 this.checked = false;  
			}); 
		}
	});
	
	//تقرير الموردين
	$('#checked30').click(function(event) {  
		if(this.checked) {
			// Iterate each checkbox
			$('.suppReportItem').each(function() {
				this.checked = true;                        
			});
		}
		else { 
			// Iterate each checkbox 
			$(".suppReportItem").each(function() {
				 this.checked = false;  
			}); 
		}
	});
	
	
	
	
	//تقرير الموظفين
	$('#checked34').click(function(event) {  
		if(this.checked) {
			// Iterate each checkbox
			$('.employeeItem').each(function() {
				this.checked = true;                        
			});
		}
		else { 
			// Iterate each checkbox 
			$(".employeeItem").each(function() {
				 this.checked = false;  
			}); 
		}
	});
	
	
	
});

function showLoader()
{
	$("#loader").css("visibility","visible");
	if($("#dbName").val() == null || $("#dbName").val() == '')
	{
		return false;	
	}
	return true;
}
